## mender-artifact 4.2.0~git20250724.c5f6563

=== debian/changelog ===
mender-artifact (4.2.0~git20250724.c5f6563-1+debian+bullseye+builder1950356287) experimental; urgency=medium

  * Release 4.2.0~git20250724.c5f6563-
    1+debian+bullseye+builder1950356287. See online docs for complete
    changelog

 -- root <root@272f79e88723>  Sun, 27 Jul 2025 20:09:16 +0000
