## mender-artifact 4.2.0~git20250729.f2b5941

=== debian/changelog ===
mender-artifact (4.2.0~git20250729.f2b5941-1+debian+bullseye+builder1978544765) experimental; urgency=medium

  * Release 4.2.0~git20250729.f2b5941-
    1+debian+bullseye+builder1978544765. See online docs for complete
    changelog

 -- root <root@fd4824e32e4f>  Mon, 11 Aug 2025 20:08:54 +0000
