## mender-artifact 4.2.0~git20250812.fca75bf

=== debian/changelog ===
mender-artifact (4.2.0~git20250812.fca75bf-1+debian+bullseye+builder1988264851) experimental; urgency=medium

  * Release 4.2.0~git20250812.fca75bf-
    1+debian+bullseye+builder1988264851. See online docs for complete
    changelog

 -- root <root@9c3f0297f31b>  Sun, 17 Aug 2025 20:09:18 +0000
