## mender-artifact 4.2.0~git20250818.d39ce4d

=== debian/changelog ===
mender-artifact (4.2.0~git20250818.d39ce4d-1+debian+bullseye+builder1997198446) experimental; urgency=medium

  * Release 4.2.0~git20250818.d39ce4d-
    1+debian+bullseye+builder1997198446. See online docs for complete
    changelog

 -- root <root@ef8f2944a3b2>  Thu, 21 Aug 2025 20:08:36 +0000
