## mender-artifact 4.2.0~git20250822.fb47311

=== debian/changelog ===
mender-artifact (4.2.0~git20250822.fb47311-1+ubuntu+noble+builder2000901231) experimental; urgency=medium

  * Release 4.2.0~git20250822.fb47311-1+ubuntu+noble+builder2000901231.
    See online docs for complete changelog

 -- root <root@152f36badd7b>  Mon, 25 Aug 2025 06:48:43 +0000
