## mender-artifact 4.2.0~git20250826.d5f07e5

=== debian/changelog ===
mender-artifact (4.2.0~git20250826.d5f07e5-1+ubuntu+noble+builder2007416661) experimental; urgency=medium

  * Release 4.2.0~git20250826.d5f07e5-1+ubuntu+noble+builder2007416661.
    See online docs for complete changelog

 -- root <root@079fa646b2bb>  Wed, 27 Aug 2025 20:12:40 +0000
