## mender-artifact 4.2.0~git20250829.ac49a72

=== debian/changelog ===
mender-artifact (4.2.0~git20250829.ac49a72-1+debian+bookworm+builder2020463386) experimental; urgency=medium

  * Release 4.2.0~git20250829.ac49a72-
    1+debian+bookworm+builder2020463386. See online docs for complete
    changelog

 -- root <root@3b92d64d9ba9>  Wed, 03 Sep 2025 20:12:47 +0000
