=== debian/control ===
Source: mender-artifact
Maintainer: Mender Team <mender@northern.tech>
Section: devel
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-artifact
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client, e2fsprogs, mtools, dosfstools
Description: Mender client
 Mender is an open source over-the-air (OTA) software updater for embedded Linux devices.
 mender-artifact is a cli tool that creates, signs, reads or modify a Mender artifact, which is a
 file that can be recognized by its .mender suffix. Mender artifacts can contain binaries, metadata,
 checksums, signatures and scripts that are used during a deployment.
