## mender-artifact 4.2.0~git20250910.9d194e0

=== debian/changelog ===
mender-artifact (4.2.0~git20250910.9d194e0-1+ubuntu+jammy+builder2032845207) experimental; urgency=medium

  * Release 4.2.0~git20250910.9d194e0-1+ubuntu+jammy+builder2032845207.
    See online docs for complete changelog

 -- root <root@af78f154006c>  Wed, 10 Sep 2025 20:16:18 +0000
