## mender-artifact 4.2.0~git20250912.3c652a0

=== debian/changelog ===
mender-artifact (4.2.0~git20250912.3c652a0-1+ubuntu+noble+builder2041052643) experimental; urgency=medium

  * Release 4.2.0~git20250912.3c652a0-1+ubuntu+noble+builder2041052643.
    See online docs for complete changelog

 -- root <root@066d78c57bd6>  Mon, 15 Sep 2025 20:17:52 +0000
