## mender-artifact 4.2.0~git20250917.aad6c37

=== debian/changelog ===
mender-artifact (4.2.0~git20250917.aad6c37-1+ubuntu+noble+builder2050727475) experimental; urgency=medium

  * Release 4.2.0~git20250917.aad6c37-1+ubuntu+noble+builder2050727475.
    See online docs for complete changelog

 -- root <root@72b223789f8a>  Fri, 19 Sep 2025 20:18:49 +0000
