## mender-artifact 4.2.0~git20250922.d83a016

=== debian/changelog ===
mender-artifact (4.2.0~git20250922.d83a016-1+debian+bullseye+builder2058062628) experimental; urgency=medium

  * Release 4.2.0~git20250922.d83a016-
    1+debian+bullseye+builder2058062628. See online docs for complete
    changelog

 -- root <root@c4fb50a73f42>  Tue, 23 Sep 2025 20:16:19 +0000
