## mender-artifact 4.2.0~git20250924.0d70036

=== debian/changelog ===
mender-artifact (4.2.0~git20250924.0d70036-1+ubuntu+noble+builder2072824469) experimental; urgency=medium

  * Release 4.2.0~git20250924.0d70036-1+ubuntu+noble+builder2072824469.
    See online docs for complete changelog

 -- root <root@25a5ce274900>  Tue, 30 Sep 2025 20:22:09 +0000
