## mender-artifact 4.2.0~git20251002.814ed9c

=== debian/changelog ===
mender-artifact (4.2.0~git20251002.814ed9c-1+ubuntu+noble+builder2091260108) experimental; urgency=medium

  * Release 4.2.0~git20251002.814ed9c-1+ubuntu+noble+builder2091260108.
    See online docs for complete changelog

 -- root <root@d1aa4ef3a344>  Thu, 09 Oct 2025 20:37:07 +0000
