## mender-artifact 4.2.0~git20251010.95714cf

=== Makefile ===
--- 
+++ 
@@ -132,7 +132,7 @@
 	mtools --version
 
 test: tooldep
-	$(GO) test -v $(PKGS)
+	$(GO) test -v ./...
 
 extracheck:
 	echo "-- checking if code is gofmt'ed"
