=== debian/changelog ===
mender-artifact (4.2.0~git20251010.95714cf-1+ubuntu+noble+builder2097263110) experimental; urgency=medium

  * Release 4.2.0~git20251010.95714cf-1+ubuntu+noble+builder2097263110.
    See online docs for complete changelog

 -- root <root@3c8e1fb3d3de>  Mon, 13 Oct 2025 20:30:01 +0000
