## mender-artifact 4.2.0~git20251014.e6f2f29

=== debian/changelog ===
mender-artifact (4.2.0~git20251014.e6f2f29-1+ubuntu+noble+builder2099490389) experimental; urgency=medium

  * Release 4.2.0~git20251014.e6f2f29-1+ubuntu+noble+builder2099490389.
    See online docs for complete changelog

 -- root <root@ebfed19a0111>  Tue, 14 Oct 2025 20:29:08 +0000
