## mender-artifact 4.2.0~git20251015.478f409

=== debian/changelog ===
mender-artifact (4.2.0~git20251015.478f409-1+debian+bullseye+builder2104346558) experimental; urgency=medium

  * Release 4.2.0~git20251015.478f409-
    1+debian+bullseye+builder2104346558. See online docs for complete
    changelog

 -- root <root@3073e9468451>  Thu, 16 Oct 2025 20:28:29 +0000
