## mender-artifact 4.3.0~git20251219.fc39b5e

=== debian/changelog ===
mender-artifact (4.3.0~git20251219.fc39b5e-1+ubuntu+noble+builder2244087682) experimental; urgency=medium

  * Release 4.3.0~git20251219.fc39b5e-1+ubuntu+noble+builder2244087682.
    See online docs for complete changelog

 -- root <root@2cbe5db8fc87>  Sun, 04 Jan 2026 20:26:21 +0000
