## mender-artifact 4.3.0~git20260105.1b49884

=== debian/changelog ===
mender-artifact (4.3.0~git20260105.1b49884-1+ubuntu+noble+builder2250181196) experimental; urgency=medium

  * Release 4.3.0~git20260105.1b49884-1+ubuntu+noble+builder2250181196.
    See online docs for complete changelog

 -- root <root@9f49b9997864>  Wed, 07 Jan 2026 20:28:53 +0000
