=== debian/changelog ===
mender-artifact (4.3.0~git20260121.398c86c-1+ubuntu+noble+builder2277394286) experimental; urgency=medium

  * Release 4.3.0~git20260121.398c86c-1+ubuntu+noble+builder2277394286.
    See online docs for complete changelog

 -- root <root@425ae208710b>  Wed, 21 Jan 2026 20:30:16 +0000
