## mender-artifact 4.4.0~git20260212.97dae7c

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,7 @@
 TOOLS = \
 	github.com/fzipp/gocyclo/... \
 	github.com/opennota/check/cmd/varcheck \
-	github.com/mendersoftware/deadcode \
-	github.com/mendersoftware/gobinarycoverage
+	github.com/mendersoftware/deadcode
 
 VERSION = $(shell git describe --tags --dirty --exact-match 2>/dev/null || git rev-parse --short HEAD)
 
@@ -148,17 +147,9 @@
 htmlcover: coverage
 	$(GO) tool cover -html=coverage.txt
 
-instrument-binary-contained:
-	docker run --rm --name instrument-binary --entrypoint "/bin/sh" -v $(shell pwd):/go/src/github.com/mendersoftware/mender-artifact golang:1.22 -c "cd /go/src/github.com/mendersoftware/mender-artifact && go install github.com/mendersoftware/gobinarycoverage@latest && make instrument-binary"
-
-instrument-binary:
-	git apply patches/0001-Instrument-with-coverage.patch
-	gobinarycoverage github.com/mendersoftware/mender-artifact
-
 coverage:
 	rm -f coverage.txt
 	go test -tags '$(TAGS)' -covermode=atomic -coverpkg=$(PKGS) -coverprofile=coverage.txt ./...
 
 .PHONY: help build clean get-tools test check \
-	cover htmlcover coverage tooldep install-autocomplete-scripts \
-	instrument-binary
+	cover htmlcover coverage tooldep install-autocomplete-scripts
