=== debian/changelog ===
mender-artifact (4.4.0~git20260212.97dae7c-1+ubuntu+noble+builder2327349554) experimental; urgency=medium

  * Release 4.4.0~git20260212.97dae7c-1+ubuntu+noble+builder2327349554.
    See online docs for complete changelog

 -- root <root@57a5c226b4b8>  Sun, 15 Feb 2026 20:16:12 +0000
